[page:Object3D] →

# [name]

Scenes allow you to set up what and where is to be rendered by three.js. This is where you place objects, lights and cameras.

## Constructor

### [name]()

Create a new scene object.

## Properties

### [property:Object background]

If not null, sets the background used when rendering the scene, and is always rendered first. Can be set to a [page:Color] which sets the clear color, a [page:Texture] covering the canvas, a cubemap as a [page:CubeTexture] or an equirectangular as a [page:Texture] . Default is null.

### [property:Texture environment]

If not null, this texture is set as the environment map for all physical materials in the scene. However, it's not possible to overwrite an existing texture assigned to [page:MeshStandardMaterial.envMap]. Default is null.

### [property:Fog fog]

A [page:Fog fog] instance defining the type of fog that affects everything rendered in the scene. Default is null.

### [property:Boolean isScene]

Read-only flag to check if a given object is of type [name].

### [property:Material overrideMaterial]

If not null, it will force everything in the scene to be rendered with that material. Default is null.

## Methods

### [method:Object toJSON]( [param:Object meta] )

meta -- object containing metadata such as textures or images for the scene.
Convert the scene to three.js [link:https://github.com/mrdoob/three.js/wiki/JSON-Object-Scene-format-4 JSON Object/Scene format].

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]